> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Disbursements



## OpenAPI

````yaml POST /v1/{account_id}/disbursements
openapi: 3.0.0
info:
  title: Pagos Ingestion API
  description: The Pagos Ingestion API Spec
  version: 1.1.1
  contact: {}
servers:
  - description: sandbox
    url: https://api.sandbox.nest.pagosapi.com
  - description: production
    url: https://api.nest.pagosapi.com
security: []
tags:
  - name: ingestion
    description: Pagos Ingestion API
paths:
  /v1/{account_id}/disbursements:
    post:
      operationId: DisbursementsController_create
      parameters:
        - name: account_id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DisbursementUploadRequest'
      responses:
        '201':
          description: ''
components:
  schemas:
    DisbursementUploadRequest:
      type: object
      properties:
        disbursement_id:
          type: string
          minLength: 1
          maxLength: 255
          description: >-
            A unique value that identifies the disbursement and will be used as
            the key when making updates to disbursements. Maximum 255
            characters.
        amount:
          type: integer
          minimum: 0
          description: >-
            The disbursement amount, represented as a positive integer in the
            smallest currency unit (e.g. two-decimal currency such as $101.50 is
            represented as 10150, zero-decimal currency such as ¥1095 is
            represented as 1095). Refer to the ISO 4217 currency page for
            guidance.
        amount_type:
          type: string
          enum:
            - credit
            - debit
          description: >-
            Indicates if the disbursement amount is paid to the merchant
            (credit) or deducted from the merchant (debit).
        currency:
          type: string
          minLength: 3
          maxLength: 3
          description: >-
            The currency of the disbursement, represented by the 3-letter
            ISO-4217 currency code. Must be three characters.
        created:
          type: string
          description: >-
            The date when the disbursement was created, represented in ISO 8601
            format (e.g. 2023-09-04T16:13:05Z).
        status:
          type: string
          minLength: 1
          maxLength: 50
          description: >-
            The status of the disbursement (e.g. paid, pending, canceled).
            Maximum 50 characters.
        additional_data:
          type: object
          properties:
            merchant_account_id:
              type: string
              maxLength: 100
              nullable: true
              description: >-
                A unique value assigned by the acquirer or processor to identify
                the merchant account. This value could match the merchant
                account ID associated with a region or country. Maximum 100
                characters.
            metadata:
              type: object
              additionalProperties:
                nullable: true
              nullable: true
              description: >-
                A transaction-level label, represented as a JSON string and used
                to segment transactions into meaningful groups. Metadata is
                typically used for segmentation by customer behavior (e.g.
                purchases from a particular seller) or merchant behavior (e.g.
                transaction routing or retries).
          additionalProperties: false
          nullable: true
        pagos_codes:
          type: object
          properties:
            pagos_disbursement_status:
              type: string
              enum:
                - disburement_account_not_authorized
                - disbursement_account_closed
                - disbursement_account_frozen
                - disbursement_bank_ownership_changed
                - disbursement_cancelled
                - disbursement_debit_blocked
                - disbursement_delayed
                - disbursement_in_transit
                - disbursement_incorrect_account_holder_address
                - disbursement_incorrect_account_holder_name
                - disbursement_incorrect_account_holder_tax_id
                - disbursement_insufficient_funds
                - disbursement_invalid_account_number
                - disbursement_invalid_currency
                - disbursement_no_account
                - disbursement_paid
                - disbursement_pending
                - disbursement_rejected
                - disbursement_unsupported_card
                - unknown
              description: Assign a Pagos code that corresponds to status
          required:
            - pagos_disbursement_status
          additionalProperties: false
      required:
        - disbursement_id
        - amount
        - amount_type
        - currency
        - created
        - status
        - pagos_codes
      additionalProperties: false

````